#
# spec file for package libertinus-fonts
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define fontname libertinus

Name:           libertinus-fonts
Version:        6.6
Release:        lp151.2.1
Summary:        Libertinus font family
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            https://github.com/khaledhosny/libertinus
Source0:        https://github.com/khaledhosny/libertinus/releases/download/v%{version}/libertinus-%{version}.zip
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Libertinus font family: serif, sans and mono. It is a fork of the Linux Libertine font family.

%prep
%setup -q -n %{fontname}-%{version}

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -m 0644 *.otf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root,-)
%doc FONTLOG.txt OFL.txt README.txt
%dir %{_ttfontsdir}
%{_ttfontsdir}/*

%changelog
* Mon Apr 30 2018 cornelis@solcon.nl
- Update to 6.6:
  * Align MATH AxisHeight with minus and similar operators.
  * Align single and double arrows to minus and equal signs.
  * Fix Celsius, Fahrenheit and Ohm signs to take the style of their fonts.
  * Fix Ohm sign side bearings.
  * Fix Service Mark and Trade Mark in sans fonts to take their style.
  * Unify the default for of Eng glyph across fonts, and add and alternate shape
    for Sami language.
  * Fix Cyrillic small letter ef in display font to match the regular serif font.
  * Dropped some more unused PUA slots.
  * The copyleft symbol now used the proposed Unicode 11 code point.
* Mon Mar 26 2018 cornelis@solcon.nl
- Update to 6.5:
  A number of small improvements and bugfixes. for details see
  https://github.com/khaledhosny/libertinus/releases
* Fri May 19 2017 cornelis@solcon.nl
- Update to 6.4:
  * Fix broken extensibles of the left square bracket in the math font
* Mon May 15 2017 cornelis@solcon.nl
- Update to release 6.3:
  * Add U+231C-231Fi and U+2A7D-2A7E to the math font.
  * Add script math alphabet based on that of XITS Math font.
  * Add monospaced math alphabet based on that of cmtt10 font with modified
    METAFONT parameters to better fit with Libertinus glyphs.
  * Improve math top accent positions.
  * Fix spacing of math italic i and j.
  * Increase the gap between \sum and its limits.
  * Improved math braces and brackets based on STIX Two Math font.
  * Disable optical variants of math alphanumerics that were based on the text
    sup/superscript glyphs as they don’t look good besides being incomplete and
    inconsistent.
  * Remove duplicate glyphs that caused broken GPOS generation.
  * Drop optical bounds (‘opbd’, ‘rtbd’ and ‘lfbd’) features as they were
    incomplete and virtually unsupported.
  * Fix text mark placement below O and o.
  * Fix oldstyle numbers feature in Libertinus Serif Semibold that had wrong
    glyph mapping for 6, 7, 8 and 9.
  * Use swash Q when followed by v.
  * Various consistency fixes to font names and vertical metrics.
  * Fix placement of the half ring in U+1E9A.
  * Fix several Libertinus Serif Bold italic alternate glyphs that were not bold.
  * Fix Libertinus Serif Italic U+2098-2099 (subscript m and n) that looked like
    superscript circled + and -.
* Sat Apr 29 2017 cornelis@solcon.nl
- Update to latest git
* Sat Sep  3 2016 cornelis@solcon.nl
- Initial package
